using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Javaher
{
    public partial class Form1 : Form
    {
        SqlConnection con = new SqlConnection("Data Source=.;Initial Catalog=javaher;Integrated Security=True");
        SqlCommand cmd = new SqlCommand();
        public Form1()
        {
            InitializeComponent();
        }

        private void خروجازسیستمToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("می خواهید خارج شوید ؟", "", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                Application.Exit();
            else
            {
            }
        }

        private void نوعجواهرToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form2 f2 = new Form2();
            f2.ShowDialog();
        }

        private void اطلاعاتمربوطبهجواهراتToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form3 f3 = new Form3();
            f3.ShowDialog();
        }

        private void مشتریانToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form4 f4 = new Form4();
            f4.ShowDialog();
        }

        private void فروشToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form5 f5 = new Form5();
            f5.ShowDialog();
        }

        private void گزارشخریدبراساسناممشتریToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form6 f6 = new Form6();
            f6.ShowDialog();
        }

        private void ایجادنسخهپشتیبانToolStripMenuItem_Click(object sender, EventArgs e)
        {
            saveFileDialog1.Filter = "Backup File|*.MDF";
            saveFileDialog1.ShowDialog();
            string p = saveFileDialog1.FileName;
            con.Open();

            if (p != string.Empty)
            {
                try
                {
                    cmd.CommandText = "BACKUP DATABASE javaher TO DISK = '" + p + "'";
                    cmd.Connection = con;
                    con.Open();
                    cmd.ExecuteNonQuery();
                    con.Close();
                    MessageBox.Show("نسخه پشتیبان با موفقییت ساخته شد ", "پشتیبان گیری ", MessageBoxButtons.OK, MessageBoxIcon.Information);
                }
                catch
                {
                    MessageBox.Show("خطا در عملیات پشتیبان گیری لطفا بعدا مجدد امتحان کنید ", "پشتیبان گیری ", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }
        }

        private void بازیابیاطلاعاتToolStripMenuItem_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "Backup File|*.MDF";
            openFileDialog1.ShowDialog();
            string p = openFileDialog1.FileName;
            if (p != string.Empty)
            {
                try
                {
                    cmd.CommandText = "ALTER DATABASE [javaher] SET SINGLE_USER with ROLLBACK IMMEDIATE USE MASTER RESTORE DATABASE [javaher] FROM DISK = '" + p + "'  WITH FILE = 1, NOUNLOAD, REPLACE, STATS = 10";
                    cmd.Connection = con;
                    con.Open();
                    cmd.ExecuteNonQuery();
                    con.Close();
                    MessageBox.Show("بازیابی اطلاعات با موفقییت انجام شد ", "بازیابی اطلاعات ", MessageBoxButtons.OK, MessageBoxIcon.Information);
                }
                catch
                {
                    MessageBox.Show("خطا در بازیابی اطلاعات  لطفا بعدا مجدد امتحان کنید ", "بازیابی اطلاعات ", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }
        }
    }
}
